### Virtual Method

# Lasem DomDocument create_element

#### Declaration [src]

    LsmDomElement*
    create_element (
      LsmDomDocument* self,
      const char* tag_name
    )

#### Description [src]

Create a new element node with a type corresponding to `tag_name`.

#### Parameters

`tag_name`

  Type: `const char*`

  Name of the element to create.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `LsmDomElement`

A newly created `LsmDomElement`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.